include ../../components/fieldErrors.pug

.responsive

	h1 Validação de cadastro de pessoa física

	.subtitulo
		
		h5 
			i.material-icons info_outline 
			|  O CPF informado já está cadastrado no sistema, selecione a resposta correta para prosseguir

form(name="validacao.form", novalidate)

	.row

		div.col-md-4

			div.panel.panel-default

				div.panel-heading.panel-heading-white

					h3.panel-title Nome

				div.panel-body.no-padding-top

					div.radio(ng-repeat="nome in informacoes.nomesPessoasFisicas")
						label.radio-inline
							input(type='radio', name='nome', ng-value='nome', ng-model="dadosValidacao.nome", required)
							span.circle
							span.check
							|	{{nome}}
					span.has-error(ng-show='validacao.form.$submitted && validacao.form.nome.$error.required') Campo obrigatório

		div.col-md-4

			div.panel.panel-default

				div.panel-heading.panel-heading-white

					h3.panel-title Data de nascimento

				div.panel-body.no-padding-top

					div.form-group.datepicker-margin
						div.input-group
							input.form-control(type='text', name='dataNascimento', uib-datepicker-popup="dd/MM/yyyy", ng-model='dadosValidacao.dataNascimento', datepicker-options="datepickerOptions", is-open="datepicker.opened", ng-required="true", ui-mask="99/99/9999", ui-mask-placeholder-char="space", model-view-value="true", max-date="datepickerOptions.maxDate")
							span.input-group-btn
								button.btn.btn-group.btn-raised.btn-raised-shadow(type="button", ng-click="datepicker.opened=true")
									i.material-icons today
					span.has-error(ng-show='validacao.form.$submitted && validacao.form.dataNascimento.$error.required') Campo obrigatório

		div.col-md-4

			div.panel.panel-default

				div.panel-heading.panel-heading-white

					h3.panel-title Primeiro nome da mãe

				div.panel-body.no-padding-top

					div.radio(ng-repeat="nomeMae in informacoes.nomesMaes")
						label.radio-inline
							input(type='radio', name='nomeMae', ng-value='nomeMae', ng-model="dadosValidacao.nomeMae", required)
							span.circle
							span.check
							|	{{nomeMae}}
					span.has-error(ng-show='validacao.form.$submitted && validacao.form.nomeMae.$error.required') Campo obrigatório

	button.btn.btn-raised.btn-default(type='button', ng-click='voltar()', tabindex='-1')
		|	Cancelar

	button.btn.btn-raised.btn-primary.pull-right(type='submit', ng-click='validarDadosPessoa()')
		|	Confirmar
